### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface ExternalIdentityInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ExternalIdentityInterface extends MetadataInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContext()`
  Gets the context for the external identity
  `String`
  `getIdentifier()`
  Gets the identifier for the external identity
  `String`
  `getImportType()`
  Gets the import type for the external identity
  `MetadataInterface`
  `getOwningObject()`
  Get the object that owns this external identity
  `void`
  `setContext(String context)`
  Sets the context for the external identity
  `void`
  `setIdentifier(String identifier)`
  Sets the identifier for the external identity
  `void`
  `setImportType(String importType)`
  Sets the import type of the external identity
  `void`
  `setOwningObject(MetadataInterface owner)`
  Set the object that this external identity modifies.

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getContext

    String getContext() throws ServiceException, RemoteException
    Gets the context for the external identity
    Returns:
      The external identity Context
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getIdentifier

    String getIdentifier() throws ServiceException, RemoteException
    Gets the identifier for the external identity
    Specified by:
      `getIdentifier` in interface `PublicObjectInterface`
    Returns:
      The external identity id
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getImportType

    String getImportType() throws ServiceException, RemoteException
    Gets the import type for the external identity
    Returns:
      The external identity import type
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getOwningObject

    MetadataInterface getOwningObject() throws ServiceException, RemoteException
    Get the object that owns this external identity
    Returns:
      The owner of the external identity.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setContext

    void setContext(String context) throws ServiceException, RemoteException
    Sets the context for the external identity
    Parameters:
      `The` - context of the external identity
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setIdentifier

    void setIdentifier(String identifier) throws ServiceException, RemoteException
    Sets the identifier for the external identity
    Parameters:
      `The` - identifier of the external identity
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setImportType

    void setImportType(String importType) throws ServiceException, RemoteException
    Sets the import type of the external identity
    Parameters:
      `The` - List of `SubscriberInterface` instances
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setOwningObject

    void setOwningObject(MetadataInterface owner) throws ServiceException, RemoteException
    Set the object that this external identity modifies.
    Parameters:
      `owner` - The object that owns this external identity
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.